## GladeDesignView GladeDesignView — A widget to embed the workspace. |

## Synopsis

                        GladeDesignView;
    GtkWidget *         glade_design_view_new               (GladeProject *project);
    GladeProject *      glade_design_view_get_project       (GladeDesignView *view);
    GladeDesignView *   glade_design_view_get_from_project  (GladeProject *project);
    GladeDesignLayout * glade_design_view_get_layout        (GladeDesignView *view);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GladeDesignView

## Implemented Interfaces

GladeDesignView implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "project"                  GladeProject*         : Read / Write / Construct Only

## Description

Use this widget to embed the currently active GtkWindow in a given GladeProject.

## Details

### GladeDesignView

    typedef struct _GladeDesignView GladeDesignView;

### glade_design_view_new ()

    GtkWidget *         glade_design_view_new               (GladeProject *project);

### glade_design_view_get_project ()

    GladeProject *      glade_design_view_get_project       (GladeDesignView *view);

### glade_design_view_get_from_project ()

    GladeDesignView *   glade_design_view_get_from_project  (GladeProject *project);

### glade_design_view_get_layout ()

    GladeDesignLayout * glade_design_view_get_layout        (GladeDesignView *view);

## Property Details

### The `"project"` property

      "project"                  GladeProject*         : Read / Write / Construct Only

The project for this view.